Draft Line/ro: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(10 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{Docnav
{{Docnav
|
|
|[[Draft_Wire|Wire]]
|[[Draft_Wire|Wire]]
|[[Draft_Module|Draft]]
|[[Draft_Workbench|Draft]]
|IconL=
|IconC=Workbench_Draft.svg
|IconR=Draft_Wire.svg
|IconR=Draft_Wire.svg
|IconC=Workbench_Draft.svg
}}
}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{GuiCommand/ro
{{GuiCommand/ro|Name=Draft Line|Name/ro=Draft Line|Workbenches=[[Draft Module/ro|Draft]], [[Arch Module/ro|Arch]]|MenuLocation=Draft → Line|Shortcut=L I|SeeAlso=[[Draft Wire/ro|Draft Wire]]}}
|Name=Draft Line
|Name/ro=Draft Line
|MenuLocation=Draft → Line
|Workbenches=[[Draft_Workbench/ro|Draft]], [[Arch_Workbench/ro|Arch]]
|Shortcut={{KEY|L}} {{KEY|I}}
|SeeAlso=[[Draft Wire/ro|Draft Wire]]
}}
</div>
</div>


Line 18: Line 27:
Instrumentul Linie creează o linie dreaptă, definită prin două puncte. Ea utilizează [[Draft Linestyle]] definită în bara de instrumente Draft. Instrumentul Linie se comportă exact ca instrumentul [[Draft Wire/ro|Draft Wire]] , cu excepția faptului că se oprește după două puncte.
Instrumentul Linie creează o linie dreaptă, definită prin două puncte. Ea utilizează [[Draft Linestyle]] definită în bara de instrumente Draft. Instrumentul Linie se comportă exact ca instrumentul [[Draft Wire/ro|Draft Wire]] , cu excepția faptului că se oprește după două puncte.
</div>
</div>

A Draft Line is in fact a [[Draft_Wire|Draft Wire]] with only two points.


[[Image:Draft_Line_example.jpg|400px]]
[[Image:Draft_Line_example.jpg|400px]]
Line 25: Line 36:


==Usage==
==Usage==

See also: [[Draft_Tray|Draft Tray]], [[Draft_Snap|Draft Snap]] and [[Draft_Constrain|Draft Constrain]].


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
== Cum se utilizează ==
== Cum se utilizează ==
# Apăsați butonul {{KEY|[[Image:Draft Line.png|16px]] [[Draft Line/ro|Draft Line]]}} sau apăsați tastele {{KEY|L}} apoi {{KEY|I}}
# Apăsați butonul {{KEY|[[Image:Draft Line.png|16px]] [[Draft Line/ro|Draft Line]]}} sau apăsați tastele {{KEY|L}} apoi {{KEY|I}}
# Faceți clic pe un prim punct din vizualizarea 3D sau tastați un [[Draft_Coordinates/ro|coordinate]]
# Faceți clic pe un prim punct din vizualizarea 3D sau tastați un coordinate
# Faceți clic pe un al doilea punct din vizualizarea 3D sau tastați un [[Draft_Coordinates/ro|coordinate]]
# Faceți clic pe un al doilea punct din vizualizarea 3D sau tastați un coordinate
</div>
</div>


==Options==
The line can be edited by double clicking on the element in the tree view, or by pressing the {{Button|[[Image:Draft Edit.svg|16px]] [[Draft Edit|Draft Edit]]}} button. Then you can move the points to a new position.

===Fusing single lines===
If several connected [[Draft Line|Draft Lines]] are selected they can be fused into a wire by pressing the {{Button|[[Image:Draft Upgrade.svg|16px]] [[Draft Upgrade|Draft Upgrade]]}} tool; '''however''', this wire will not be editable. '''To create an editable wire''', use {{Button|[[Image:Draft Upgrade.svg|16px]] [[Draft Upgrade|Draft Upgrade]]}} three more times on the new shapes (wire, closed wire, face). You can also fuse the original lines with the {{Button|[[Image:Draft Wire.svg|16px]] [[Draft Wire|Draft Wire]]}} tool.


The single character keyboard shortcuts available in the task panel can be changed. See [[Draft_Preferences|Draft Preferences]]. The shortcuts mentioned here are the default shortcuts (for version 0.22).
'''Note:''' A wire can also be created from a single line by adding another point anywhere along its length. To do this, press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button, and click anywhere on the line.


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 52: Line 62:
* Dacă sunt selectate mai multe linii [[Draft Line/ro|Draft Lines]], ele pot fi transformate într-un filament prin apăsarea butonului '''Upgrade Draft'''.
* Dacă sunt selectate mai multe linii [[Draft Line/ro|Draft Lines]], ele pot fi transformate într-un filament prin apăsarea butonului '''Upgrade Draft'''.
</div>
</div>

==Notes==

* A Draft Line can be edited with the [[Draft_Edit|Draft Edit]] command.
* Draft Lines and [[Draft_Wire|Draft Wires]] can be joined with the [[Draft_Wire|Draft Wire]] command, the [[Draft_Join|Draft Join]] command or the [[Draft_Upgrade|Draft Upgrade]] command.

==Preferences==

See also: [[Preferences_Editor|Preferences Editor]] and [[Draft_Preferences|Draft Preferences]].

* To change the initial focus of the task panel to the {{MenuCommand|Length}} input box: {{MenuCommand|Edit → Preferences... → Draft → General → Set focus on Length instead of X coordinate}}. Note that you must move the pointer in the [[3D_view|3D view]] for the change to take effect.
* If the {{MenuCommand|Edit → Preferences... → Draft → General → Create Part primitives if possible}} option is checked, the command will create a [[Part_Line|Part Line]] instead of a Draft Line.

==Properties==


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 60: Line 84:
</div>
</div>


===Data===
==Scripting==
* {{PropertyData|Start}}: specifies the start point.
* {{PropertyData|End}}: specifies the end point.
* {{PropertyData|Subdivisions}}: specifies the number of interior nodes in the line. {{version|0.16}}
* {{PropertyData|Length}}: (read-only) specifies the length of the segment.

===View===
* {{PropertyView|End Arrow}}: if it is {{TRUE}} it will display a symbol at the last point of the line, so it can be used as an annotation line.
* {{PropertyView|Arrow Size}}: specifies the size of the symbol displayed at the end of the line.
* {{PropertyView|Arrow Type}}: specifies the type of symbol displayed at the end of the line, which can be "Dot", "Circle", "Arrow", or "Tick".


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 76: Line 91:
</div>
</div>


To create a Draft Line use the {{incode|make_line}} method ({{Version|0.19}}) of the Draft module. This method replaces the deprecated {{incode|makeLine}} method.
The Line tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:

{{Code|code=
{{Code|code=
Line = makeLine(p1, p2)
line = make_line(p1, p2)
Line = makeLine(LineSegment)
line = make_line(LineSegment)
Line = makeLine(Shape)
line = make_line(Shape)
}}
}}


Line 91: Line 107:


Exempluː
Exempluː

{{Code|code=
{{Code|code=
import FreeCAD as App
import FreeCAD as App
import Draft
import Draft


_doc = App.newDocument()
doc = App.newDocument()


p1 = App.Vector(0, 0, 0)
p1 = App.Vector(0, 0, 0)
Line 102: Line 119:
p4 = App.Vector(500, 1000, 0)
p4 = App.Vector(500, 1000, 0)


Line1 = Draft.makeLine(p1, p2)
line1 = Draft.make_line(p1, p2)
Line2 = Draft.makeLine(p3, p4)
line2 = Draft.make_line(p3, p4)

_doc.recompute()
doc.recompute()
}}
}}



{{Docnav
{{Docnav
|
|
|[[Draft_Wire|Wire]]
|[[Draft_Wire|Wire]]
|[[Draft_Module|Draft]]
|[[Draft_Workbench|Draft]]
|IconL=
|IconC=Workbench_Draft.svg
|IconR=Draft_Wire.svg
|IconR=Draft_Wire.svg
|IconC=Workbench_Draft.svg
}}
}}


{{Draft Tools navi{{#translation:}}}}
{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Latest revision as of 05:07, 9 January 2024

Draft Line

poziția meniului
Draft → Line
Ateliere
Draft, Arch
scurtătură
L I
Prezentat în versiune
-
A se vedea, de asemenea,
Draft Wire

Description

Descriere

Instrumentul Linie creează o linie dreaptă, definită prin două puncte. Ea utilizează Draft Linestyle definită în bara de instrumente Draft. Instrumentul Linie se comportă exact ca instrumentul Draft Wire , cu excepția faptului că se oprește după două puncte.

A Draft Line is in fact a Draft Wire with only two points.

Usage

See also: Draft Tray, Draft Snap and Draft Constrain.

Cum se utilizează

  1. Apăsați butonul Draft Line sau apăsați tastele L apoi I
  2. Faceți clic pe un prim punct din vizualizarea 3D sau tastați un coordinate
  3. Faceți clic pe un al doilea punct din vizualizarea 3D sau tastați un coordinate

Options

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts (for version 0.22).

Opțiuni

  • Apăsați X, Y sau Z după primul punct pentru a restrânge al doilea punct de pe axa dată.
  • Pentru a introduce manual coordonatele, pur și simplu introduceți numerele, apoi apăsați ENTER între fiecare componentă X, Y și Z.
  • Apăsați tasta R sau faceți clic pe caseta de selectare pentru a bifa/debifa butonul Relativ. Dacă modul relativ este activ, coordonatele celui de-al doilea punct sunt relative la prima. Dacă nu, ele sunt absolute, luate din punctul de origine (0,0,0).
  • Apăsați tasta T sau faceți clic pe caseta de selectare pentru a bifa/debifa butonul Continue. Dacă modul continuat este activat, instrumentul Linie se va reporni după ce dați cel de-al doilea punct, permițându-vă să desenați un alt segment de linie fără a apăsa din nou butonul Linie.
  • Apăsați CTRL în timp ce desenați pentru a forța ancorarea snapping punctul dvs. către cea mai apropiată locație, independent de distanța.
  • Apăsați SHIFT în timp ce desenați constrain al doilea punct pe orizontală sau pe verticală în raport cu primul punct.
  • Apăsați tasta CTRL + Z sau apăsați pe ['Image: Draft UndoLine.png pentru a anula ultimul punct.
  • Apăsați butonul ESC sau butonul Anulare pentru a întrerupe comanda curentă.
  • Dacă sunt selectate mai multe linii Draft Lines, ele pot fi transformate într-un filament prin apăsarea butonului Upgrade Draft.

Notes

Preferences

See also: Preferences Editor and Draft Preferences.

  • To change the initial focus of the task panel to the Length input box: Edit → Preferences... → Draft → General → Set focus on Length instead of X coordinate. Note that you must move the pointer in the 3D view for the change to take effect.
  • If the Edit → Preferences... → Draft → General → Create Part primitives if possible option is checked, the command will create a Part Line instead of a Draft Line.

Properties

Proprietăți

  • DATEStart: Punctul de pornire
  • DATEEnd: Punctul final
  • DATESubdivisions: Împărțirea liniei cu numărul de subdiviziuni dat introduced in version 0.16/ro

Scripting

Script-Programare

Instrumentul Linie poate fi utilizat în macros și din consola Python utilizând următoarea funcție:

To create a Draft Line use the make_line method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeLine method.

line = make_line(p1, p2)
line = make_line(LineSegment)
line = make_line(Shape)
  • Creează un obiect Line între cei două puncte punctele p1 și p2 , fiecare definit ca FreeCAD.Vector
  • Creează un obiect Line dintr-un Part.LineSegment
  • Creează un obiect Line de la primul vârf la ultimul vârf al Shape dată
  • Se va folosi versiunea curentă Draft Linestyle

Exempluː

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 500, 0)
p3 = App.Vector(-250, -500, 0)
p4 = App.Vector(500, 1000, 0)

line1 = Draft.make_line(p1, p2)
line2 = Draft.make_line(p3, p4)

doc.recompute()